com.ihr.xbrl.dts

## Class Version

- java.lang.Object
- - com.ihr.xbrl.dts.Version

-     public class Version
      extends java.lang.Object

  Provides static information about the version number.
  Author:
    Ignacio

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `APP_VERSION` This is the API version.
    `static java.lang.String` | `APP_VERSION_SMALL` This is the API major version numbers.
    `static java.lang.String` | `APP_VERSION_STRING` This is the API version string.
    `static java.lang.String` | `BUILD_NUMBER` This is just the compilation number.
    `static java.util.Date` | `compilationDate` This is the api compilation date. this variable value is updated by the script generating the libraries
    `static java.lang.String` | `compilationDateLastResort` The Constant compilationDateLastResort.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Version()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### APP_VERSION_SMALL

          public static final java.lang.String APP_VERSION_SMALL

      This is the API major version numbers. This variable value is updated by the script generating the libraries. The text says "{number}.{major}.{minor}"
      See Also:
        Constant Field Values

    - #### APP_VERSION

          public static final java.lang.String APP_VERSION

      This is the API version. This variable value is updated by the script generating the libraries. The text says "{number}.{major}.{minor}.{compilation_Number}"
      See Also:
        Constant Field Values

    - #### APP_VERSION_STRING

          public static final java.lang.String APP_VERSION_STRING

      This is the API version string. This variable value is updated by the script generating the libraries. The text says "XBRL API Version {number}.{major}.{minor}" the compilation number is skipped
      See Also:
        Constant Field Values

    - #### BUILD_NUMBER

          public static final java.lang.String BUILD_NUMBER

      This is just the compilation number.
      Since:
        2.8.4
      See Also:
        Constant Field Values

    - #### compilationDateLastResort

          public static final java.lang.String compilationDateLastResort

      The Constant compilationDateLastResort.
      See Also:
        Constant Field Values

    - #### compilationDate

          public static final java.util.Date compilationDate

      This is the api compilation date. this variable value is updated by the script generating the libraries

  - ### Constructor Detail

    - #### Version

          public Version()